Bug 2064052 - debugedit error with clang DWARF5: Unknown DWARF DW_FORM_0x25 (DW_FORM_strx1)
Summary: debugedit error with clang DWARF5: Unknown DWARF DW_FORM_0x25 (DW_FORM_strx1)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: debugedit
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mark Wielaard
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2064056 2064057 2064058
TreeView+ depends on / blocked
 
Reported: 2022-03-14 23:24 UTC by Tom Stellard
Modified: 2023-12-21 03:59 UTC (History)
4 users (show)

Fixed In Version: debugedit-5.0-12.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2064056 2064057 2064058 (view as bug list)
Environment:
Last Closed: 2023-12-21 03:59:43 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Sourceware 28728 0 P2 NEW Unknown DWARF DW_FORM_0x25 (DW_FORM_strx) 2022-03-14 23:26:11 UTC

Description Tom Stellard 2022-03-14 23:24:23 UTC
Description of problem:
Debug info emits an error when processing a binary compiled by clang with DWARF5: "Unknown DWARF DW_FORM_0x25"

Version-Release number of selected component (if applicable):
debugedit-5.0-3.fc36.x86_64.rpm                                                                                                     

How reproducible:
Always

Steps to Reproduce:

On rawhide or Fedora 36:

1. dnf copr enable @fedora-llvm-team/llvm14
2. dnf install clang debugedit
3. echo 'int main(){}' | clang -x c - -g
4. debugedit a.out

Actual results:
Program exits with error:
debugedit: a.out: Unknown DWARF DW_FORM_0x25

Expected results:
Program exits successfully.

Additional info:
clang14 is not yet in rawhide, but once it is, this bug causes koji build failures for packages built with clang.

Comment 1 Mark Wielaard 2022-03-15 10:15:42 UTC
(In reply to Tom Stellard from comment #0)
> clang14 is not yet in rawhide, but once it is, this bug causes koji build
> failures for packages built with clang.

Given this isn't the only tools issue with clang produced DWARF5 (at least dwz and valgrind don't support it either) I'll suggest that clang defaults to DWARF4 for now till all tools are updated to handle the new DWARF forms.

Comment 2 Ben Cotton 2022-08-09 13:13:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 3 Aoife Moloney 2023-11-23 00:10:04 UTC
This message is a reminder that Fedora Linux 37 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 37 on 2023-12-05.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '37'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 37 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 4 Fedora Update System 2023-12-05 22:46:48 UTC
FEDORA-2023-f0ebe97f3b has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-f0ebe97f3b

Comment 5 Fedora Update System 2023-12-06 01:43:57 UTC
FEDORA-2023-f0ebe97f3b has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-f0ebe97f3b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-f0ebe97f3b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-12-21 03:59:43 UTC
FEDORA-2023-f0ebe97f3b has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.